Printago API
GET /v1/classwork/{id}

Get a classwork item

Requires: classwork.viewerclasswork.editor

Path Parameters

id required
string
The classwork ID

Query Parameters

include optional
string

Response Schema

ClassworkItem
bodyrequired
string
coderequired
string
createdAtrequired
string
format: date-time
folderIdoptionalnullable
string
pattern: ^[a-z0-9]{24}$
idrequired
string
pattern: ^[a-z0-9]{24}$
statusrequired
"published" | "draft"
publisheddraft
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
summaryrequired
string
titlerequired
string
updatedAtrequired
string
format: date-time

Example Response

200 OK — application/json
{
  "code": "string",
  "title": "string",
  "summary": "string",
  "body": "string",
  "folderId": "string",
  "status": "published",
  "id": "string",
  "storeId": "string",
  "createdAt": "2025-01-15T12:00:00.000Z",
  "updatedAt": "2025-01-15T12:00:00.000Z"
}